Add OSM charms
Change-Id: Iec1c915c77ac24080bfc8813eecc1970ee8c0213
Signed-off-by: David Garcia <david.garcia@canonical.com>
diff --git a/installers/charm/build.sh b/installers/charm/build.sh
new file mode 100755
index 0000000..17eea94
--- /dev/null
+++ b/installers/charm/build.sh
@@ -0,0 +1,25 @@
+# Copyright 2020 Canonical Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#!/bin/bash
+set -eux
+function build() {
+ cd $1 && tox -e build && cd ..
+}
+
+build 'lcm-k8s'
+build 'mon-k8s'
+build 'nbi-k8s'
+build 'pol-k8s'
+build 'ro-k8s'
+build 'ui-k8s'